Loading...
Searching...
No Matches
websocketpp::transport::asio::handler_allocator Class Reference

## Public Member Functions

void * | allocate (std::size_t memsize)
void | deallocate (void *pointer)

## Static Public Attributes

static const size_t | size = 1024

## Detailed Description

Definition at line 52 of file base.hpp.

## Constructor & Destructor Documentation

## handler_allocator()

websocketpp::transport::asio::handler_allocator::handler_allocator | ( |  | ) |

inline

Definition at line 56 of file base.hpp.

## Member Function Documentation

## allocate()

void * websocketpp::transport::asio::handler_allocator::allocate | ( | std::size_t | memsize | ) |

inline

Definition at line 63 of file base.hpp.

## deallocate()

void websocketpp::transport::asio::handler_allocator::deallocate | ( | void * | pointer | ) |

inline

Definition at line 72 of file base.hpp.

## Member Data Documentation

## size

const size_t websocketpp::transport::asio::handler_allocator::size = 1024

static

Definition at line 54 of file base.hpp.

The documentation for this class was generated from the following file:

- websocketpp/transport/asio/base.hpp